Subject: Re: bug#6248: 23.1; justify (esc q) broken in Latex mode

From: Mark Lillibridge <[email-masked]>
Date: Wed, 26 May 2010 19:46:16 -0700

>  >> It's not a bug, it's a feature.  The change is because Emacs-21 did not
>  >> offer indentation for LaTeX, whereas Emacs>=22 does.
>  >> To get the behavior you want, you'll want to set
>  >> fill-indent-according-to-mode, e.g.
>  >> 
>  >> (add-hook 'latex-mode-hook
>  >> (lambda ()
>  >> (set (make-local-variable 'fill-indent-according-to-mode) nil)))
>  
>  >     While that workaround does work, I'm still not convinced this isn't
>  > a bug.  Why is this broken behavior a feature?  
>  
>  It's a feature if you consider LaTeX as code rather than as text, so you
>  want the text parts of the LaTeX code to be properly indented, like
>  any other.

    I tend to view latex as text with intermixed code so I see this
differently.  I can see an argument for why text inside of a specific
environment might need to be indented specially, I don't see why that
would apply to top-level text outside of any environment.

    I suspect we're going to agree to disagree on this one; feel free to
close this bug.

- Mark